Subject: Application level Chinese programs

From: "L.S.Ng" <[email-masked]>
Date: Sat, 1 Jan 1994 15:12:44 GMT

Replying to Hu Bo's questions:

> that's fine that you are thinking about a common administration of
caching area of fonts.  It is very important because bitmaped fonts are
very memory-intensive and, digitalizing outlined fonts to bitmaped ones
is cpu-intensive.  They are generally spoken, very resource-intensive.
Resource intensive items should be all administrated in a centralized
manner.  All right.

I recently read an advertisement in a HK magazine that Eten has put all
its fonts into the XMS to save conventional DOS memory. Also I think the
more important effect is it should improve the speed of displaying
Chinese characters. This implementation is similar to the ZIKU buffer
model I proposed.

ZIKU buffer can be (or is being) implemented on any type of Chinese
software, be it a system-level program like Eten or application level
program like NJSTAR.

> There are also some less resource-intensive items, like one or two user
defined words, or one or two user defined characters.  Well, do you
really want to see the users who had to create their new words or
characters again when they switch from one application to the other?

Of course not. That is why I proposed the idea of Feicangguizi Bitmap
format.

Application programs can share the same set of ZIKU files and
Feicangguizi bmp. This can be done without a Chinese shell or Chinese
o/s. What is needed is to follow the standard of HBF closely.

> And there are also something called screen and printer drivers.  Are
the users of Windows much more lucky, using ONE screen driver and ONE
printer driver for their whole job, in comparison to DOS users, dealing
three, four or even more "driver discs" coming with every and each new
application?

How does this question of yours relate to the subject?

> I am sorry but I really do not see any reason why one should focus on
application oriented Chinese implementations.

The simplest answer I can think of is this:

   The installations of Standard Windows versus Chinese Windows is
perhaps more than hundred to one.
   What works in Standard Windows should work in Chinese Windows as
well.
   Writing Chinese program for Standard Windows guarantee a potential
target users/market hundred time bigger because such program should work
in both Standard Windows and Chinese Windows.

   The same argument goes to DOS, Unix, Mac etc.

   The installations of Standard Mac O/S versus Chinese Mac O/S is
perhaps more than hundred to one
   ........

   So exactly how much more extra work need to be done on the
programmers side to achieve a more than hundred times potential market:
As I have shown earlier, it is no more than 5% and gets smaller as your
applications complexity grows.

Sincerely,
Liangsheng WU